<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="CheckID" select="'CheckIDHere'"></xsl:variable>

	<xsl:variable name="ScoreLookup">
	  <c score="0" url="Graphics/dash.gif" alttext="Check Not Performed"/>
	  <c score="1" url="Graphics/excl_red.gif" alttext="Unable to scan"/>
	  <c score="2" url="Graphics/x_red.gif" alttext="Check failed (critical)"/>
	  <c score="3" url="Graphics/x_gold.gif" alttext="Check failed (non-critical)"/>
	  <c score="4" url="Graphics/astrx.gif" alttext="Best practice"/>
	  <c score="5" url="Graphics/chek_grn.gif" alttext="Check passed"/>
	  <c score="7" url="Graphics/info.gif" alttext="Additional information"/>
	</xsl:variable>
	
	<xsl:template match="SecScan">
		
			<h1><xsl:value-of select="Check[@ID=$CheckID]/Advice"/></h1>
			<h2>Result Details<br /><br /><xsl:value-of select="Check[@ID=$CheckID]/Detail/@text"/></h2>
			<table id="TableID" width="100%" border="0" cellpadding="0" cellspacing="0" style="border: solid 0px #000000; padding-left: 10px; padding-right: 10px;">
			<tr><td>
			<xsl:choose>
				<xsl:when test="Check[@ID=$CheckID]">
					<xsl:choose>
						<xsl:when test="Check[@ID=$CheckID]/Detail/Row[@Grade='2']">
						<span>Security updates confirmed as missing are marked with a red X</span><br />
						<table cellpadding="0" cellspacing="0" style="border: solid 1px #000000">
						<tr class="DetailHeader">
							<td style="padding-right:5px;">
								Score
							</td>
							<xsl:for-each select="Check[@ID=$CheckID]/Detail/Head/Col">
								<td style="padding-right:5px;" Nowrap="true">
								<xsl:value-of select="."/>
								</td>
							</xsl:for-each>
						</tr>
						<xsl:for-each select="Check[@ID=$CheckID]/Detail/Row[@Grade='2']">
						<tr>
							<td valign="top">
								<IMG alt="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=2]/@alttext}" src="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=2]/@url}" />		
							</td>
							<xsl:for-each select="Col">
								 <xsl:choose>
								  <xsl:when test="@URL">
									<td valign="top" style="padding-right:5px;" Nowrap="true">
									<A target="blank" href="{@URL}"><xsl:value-of select="."/></A>
									</td>
								  </xsl:when>
								  <xsl:otherwise>
									<td valign="top" style="padding-right:5px;">
									<xsl:value-of select="."/>
									</td>
								  </xsl:otherwise>
								</xsl:choose>	
							</xsl:for-each>
						</tr>
						</xsl:for-each>
						</table>
						<br />
						</xsl:when>
					</xsl:choose>
					
					<xsl:choose>
						<xsl:when test="Check[@ID=$CheckID]/Detail/Row[@Grade='3']">
						<span>Security updates that are out of date are marked with a yellow X</span><br />
						<table cellpadding="0" cellspacing="0" style="border: solid 1px #000000">
						<tr class="DetailHeader">
							<td style="padding-right:5px;">
								Score
							</td>
							<xsl:for-each select="Check[@ID=$CheckID]/Detail/Head/Col">
								<td  style="padding-right:5px;" Nowrap="true">
								<xsl:value-of select="."/>
								</td>
							</xsl:for-each>
						</tr>
						<xsl:for-each select="Check[@ID=$CheckID]/Detail/Row[@Grade='3']">
						<tr>
							<td valign="top">
								<IMG alt="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=3]/@alttext}" src="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=3]/@url}" />		
							</td>
							<xsl:for-each select="Col">
								 <xsl:choose>
								  <xsl:when test="@URL">
									<td valign="top" style="padding-right:5px;" Nowrap="true">
									<A target="blank" href="{@URL}"><xsl:value-of select="."/></A>
									</td>
								  </xsl:when>
								  <xsl:otherwise>
									<td valign="top" style="padding-right:5px;">
									<xsl:value-of select="."/>
									</td>
								  </xsl:otherwise>
								</xsl:choose>	
							</xsl:for-each>
						</tr>
						</xsl:for-each>
						</table>
						<br />
						</xsl:when>
					</xsl:choose>
					
					<xsl:choose>
						<xsl:when test="Check[@ID=$CheckID]/Detail/Row[@Grade='4']">
						<span>Security updates that the tool cannot confirm as installed on the scanned computer are marked with a blue asterisk</span><br />
						<table cellpadding="0" cellspacing="0" style="border: solid 1px #000000">
						<tr class="DetailHeader">
							<td style="padding-right:5px;">
								Score
							</td>
							<xsl:for-each select="Check[@ID=$CheckID]/Detail/Head/Col">
								<td  style="padding-right:5px;" Nowrap="true">
								<xsl:value-of select="."/>
								</td>
							</xsl:for-each>
						</tr>
						<xsl:for-each select="Check[@ID=$CheckID]/Detail/Row[@Grade='4']">
						<tr>
							<td valign="top">
								<IMG alt="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=4]/@alttext}" src="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=4]/@url}" />		
							</td>
							<xsl:for-each select="Col">
								 <xsl:choose>
								  <xsl:when test="@URL">
									<td valign="top" style="padding-right:5px;" Nowrap="true">
									<A target="blank" href="{@URL}"><xsl:value-of select="."/></A>
									</td>
								  </xsl:when>
								  <xsl:otherwise>
									<td valign="top" style="padding-right:5px;">
									<xsl:value-of select="."/>
									</td>
								  </xsl:otherwise>
								</xsl:choose>	
							</xsl:for-each>
						</tr>
						</xsl:for-each>
						</table>
						<br />
						</xsl:when>
					</xsl:choose>
					
			</xsl:when>
			</xsl:choose>
			</td></tr>
			</table>
	</xsl:template>

		
</xsl:stylesheet>